GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | List of all members
gridfire::io::gen::PyFunctionDef Struct Reference

Structure representing a Python function definition. More...

`#include <python.h>`

Collaboration diagram for gridfire::io::gen::PyFunctionDef:
[legend]

## Public Attributes
std::string | func_name
std::string | func_code
std::vector< std::string > | module_req

## Detailed Description

Structure representing a Python function definition.

This structure holds the name, code, and module requirements for a Python function that represents a reaction.

## Member Data Documentation

## ◆ func_code

std::string gridfire::io::gen::PyFunctionDef::func_code

## ◆ func_name

std::string gridfire::io::gen::PyFunctionDef::func_name

## ◆ module_req

std::vector<std::string> gridfire::io::gen::PyFunctionDef::module_req

The documentation for this struct was generated from the following file:

- src/include/gridfire/io/generative/python.h